#include "src/include.h"

/*--------------------------------------------------------*/
/* Calculation of the observables in the Standard Model   */
/*--------------------------------------------------------*/

int main()
{ 
	struct relicparam paramrelic;
	double eta,H2_H,He3_H2,Yp,Li7_H,Li6_Li7,Be7_H;
	
	Init_cosmomodel(&paramrelic);

	
	printf("      Yp\t H2/H\t\t He3/H2\t\t Li7/H\t\t Li6/Li7\t Be7/H\n");

	nucl(2,&paramrelic,&eta,&H2_H,&He3_H2,&Yp,&Li7_H,&Li6_Li7,&Be7_H);
	printf(" low: %.3e\t %.3e\t %.3e\t %.3e\t %.3e\t %.3e\n",Yp,H2_H,He3_H2,Li7_H,Li6_Li7,Be7_H); 

	nucl(0,&paramrelic,&eta,&H2_H,&He3_H2,&Yp,&Li7_H,&Li6_Li7,&Be7_H);
	printf("cent: %.3e\t %.3e\t %.3e\t %.3e\t %.3e\t %.3e\n",Yp,H2_H,He3_H2,Li7_H,Li6_Li7,Be7_H); 
	
	nucl(1,&paramrelic,&eta,&H2_H,&He3_H2,&Yp,&Li7_H,&Li6_Li7,&Be7_H);
	printf("high: %.3e\t %.3e\t %.3e\t %.3e\t %.3e\t %.3e\n",Yp,H2_H,He3_H2,Li7_H,Li6_Li7,Be7_H);
	
	int compat=bbn_excluded(0,&paramrelic);

	if(compat==1) printf("Excluded by BBN constraints\n");
	else if(compat==0) printf("Compatible with BBN constraints\n");
	else printf("Computation failed\n");

	return 1;
}
